Subject: Denx linux 2.4.25 on RPXLITE

From: "Alexey Dyatchkov" <[email-masked]>
Date: Wed, 16 Nov 2005 13:14:28 +0200

Hi,

I'm trying to bring up Denx linux-2.4.25, latest found on
ftp.denx.de/pub/linux, on our proprietary board.

Our board is very much similar to RPXLITE. In fact it is RPXLITE with few
minor changes.

We did such works before, and all we usualy needed was to tune the io
mapping.

I did so with this kernel and it stucks in calibrate_delay() on "while
(ticks==jiffies)", row 207.

And it seems that no interrupts are coming to kernel (breakpoint in do_irq
is never achieved).

(No printk's on console, btw)

I'm not experienced enough in kernel debugging and feel stuck.

Please help!

Thanks in advance,

Alexey